## ros-one-eus-assimp 0.4.5-39jammy.20251023.1007

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(eus_assimp)

# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS)

set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:${CATKIN_DEVEL_PREFIX}/lib/pkgconfig")

find_package(PkgConfig)
pkg_check_modules(assimpdevel assimp_devel REQUIRED)
# CATKIN_MIGRATION: removed during catkin migration
# rosbuild_add_boost_directories()
find_package(euslisp QUIET)
find_program(EUS_EXECUTABLE eus)
if(NOT euslisp_INCLUDE_DIRS)
  if(EXISTS ${euslisp_SOURCE_DIR}/jskeus)
    set(euslisp_PACKAGE_PATH ${euslisp_SOURCE_DIR})
  elseif(EXISTS ${euslisp_PREFIX}/share/euslisp)
    set(euslisp_PACKAGE_PATH ${euslisp_PREFIX}/share/euslisp)
  elseif((EXISTS "${EUS_EXECUTABLE}") AND (EXISTS "/usr/share/euslisp/include"))   # euslisp not found as ROS package, try to find  endif()
    set(euslisp_PACKAGE_PATH /usr/share/euslisp)
  else()
    message(FATAL_ERROR "-- Could not find euslisp_PACKAGE_PATH")
  endif()
  message("-- Set euslisp_PACKAGE_PATH to ${euslisp_PACKAGE_PATH}")
  if(EXISTS ${euslisp_PACKAGE_PATH}/jskeus/eus/include)
    set(euslisp_INCLUDE_DIRS ${euslisp_PACKAGE_PATH}/jskeus/eus/include)
  elseif(EXISTS ${euslisp_PACKAGE_PATH}/include)
    set(euslisp_INCLUDE_DIRS ${euslisp_PACKAGE_PATH}/include)
  else()
    message(FATAL_ERROR "-- Could not find euslisp_INCLUDE_DIRS")
  endif()
endif()
message("-- Set euslisp_INCLUDE_DIRS to ${euslisp_INCLUDE_DIRS}")
include_directories(/usr/include /usr/X11R6/include ${euslisp_INCLUDE_DIRS} ${assimpdevel_INCLUDE_DIRS})
link_directories(${assimpdevel_LIBRARY_DIRS})
add_library(eus_assimp src/eus_assimp.cpp)

target_link_libraries(eus_assimp ${assimpdevel_LIBRARIES})
set_target_properties(eus_assimp PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/euslisp)
add_dependencies(eus_assimp libassimp_devel)

# compile flags
add_definitions(-O2 -Wno-write-strings -Wno-comment)
add_definitions(-Di486 -DLinux -D_REENTRANT -DVERSION='\"9.00\"' -DTHREADED -DPTHREAD -DX11R6_1)
add_definitions('-DREPOVERSION="\\"${REPOVERSION}\\""')
if(${CMAKE_SYSTEM_PROCESSOR} MATCHES amd64* OR
   ${CMAKE_SYSTEM_PROCESSOR} MATCHES x86_64* OR
   ${CMAKE_SYSTEM_PROCESSOR} MATCHES aarch64* )
 add_definitions(-Dx86_64)
else()
 add_definitions(-Di486)
endif()

## for image file loading using SDL
pkg_check_modules (SDLIMG SDL_image)
if(SDLIMG_FOUND)
#  message(STATUS "SDL_image found")
  add_definitions(-DUSE_SDL_IMAGE=1)
  add_definitions(${SDLIMG_CFLAGS_OTHER})
  include_directories(${SDLIMG_INCLUDE_DIRS})
  target_link_libraries(eus_assimp ${SDLIMG_LIBRARIES})
endif(SDLIMG_FOUND)

if(${CMAKE_SYSTEM_NAME} MATCHES Darwin)
 add_definitions(-Dx86_64)
 set(CMAKE_SHARED_LIBRARY_CREATE_CXX_FLAGS "${CMAKE_SHARED_LIBRARY_CREATE_CXX_FLAGS} -flat_namespace -undefined suppress")
endif()

set_target_properties(eus_assimp PROPERTIES PREFIX "" SUFFIX ".so")

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
    DEPENDS
    CATKIN_DEPENDS # euslisp TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES assimp_devel # TODO
)

# install
install(DIRECTORY euslisp
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-one-eus-assimp (0.4.5-39jammy.20251023.1007) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 10:07:49 +0000

ros-one-eus-assimp (0.4.5-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 30 Nov 2023 00:00:00 -0000

ros-one-eus-assimp (0.4.4-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 May 2022 00:00:00 -0000

ros-one-eus-assimp (0.4.3-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 05 Dec 2018 00:00:00 -0000

ros-one-eus-assimp (0.4.2-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 04 Sep 2018 00:00:00 -0000

ros-one-eus-assimp (0.4.1-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 01 Aug 2018 00:00:00 -0000

ros-one-eus-assimp (0.4.0-0jammy) jammy; urgency=high

  * since euslisp 9.25.0, we need to add 5 arguments including doc string with defun() (#217 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/217>)
  * [eus_assimp] add use-coordinate option to append-vertices in order to express all the vertices respect to world frame (#210 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/210>)
  * [eus_assimp] need to set faces before calling gl::make-glvertices-fro (#208 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/208>)
  * Fix for arm processor (#209 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/209>)
    * fix for arm64/v8 aarch64 is 64bit
  * [eus_assimp] mesh2wrl.sh: add utility scripts  (#206 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/206>)
  * Contributors: Eisoku Kuroiwa, Kei Okada, Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-eus-assimp (0.3.5-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.4-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.3-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.2-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.1-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.0-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 16 Jan 2017 00:00:00 -0000

ros-one-eus-assimp (0.2.5-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 18 Oct 2016 00:00:00 -0000

ros-one-eus-assimp (0.2.4-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 30 Apr 2016 00:00:00 -0000

ros-one-eus-assimp (0.2.3-0jammy) jammy; urgency=high

  * [eus_assimp] fix function name
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 31 Dec 2015 00:00:00 -0000

ros-one-eus-assimp (0.2.2-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 11 Dec 2015 00:00:00 -0000

ros-one-eus-assimp (0.2.1-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 27 Nov 2015 00:00:00 -0000

ros-one-eus-assimp (0.2.0-0jammy) jammy; urgency=high

  * move to 0.2.0, which only available from indigo
  * [eus_assimp] Add .gitignore
  * Contributors: Kentaro Wada

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 26 Nov 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.13-0jammy) jammy; urgency=high

  * move functions to jskeus
  * add function for glvertices
  * fix minor bugs
  * move functions to jskeus
  * add dump-glvertices-to-wrl for creating wrl mesh file from glvertices
  * 0.1.12
  * update CHANGELOG (For releasing 0.1.12 DRC Final version)
  * [jsk_model_tools] remove old rosmake files
  * Contributors: Kei Okada, Yohei Kakiuchi, Iori Yanokura

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 01 Sep 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.12-0jammy) jammy; urgency=high

  * [jsk_model_tools] remove old rosmake files
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 07 May 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.11-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 09 Apr 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.10-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 02 Apr 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.9-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 01 Apr 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.8-0jammy) jammy; urgency=high

  * fix for new euslisp layout
  * eus_assimp: build_depend on pkg-config
  * Contributors: Scott K Logan, Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 07 Jan 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.7-0jammy) jammy; urgency=high

  * fix parsing file extention, in order to use .stlb extention for exporting mesh as STL Binary format
  * use tiff file for texture
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 19 Dec 2014 00:00:00 -0000

ros-one-eus-assimp (0.1.6-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 30 Jun 2014 00:00:00 -0000

ros-one-eus-assimp (0.1.5-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sun, 29 Jun 2014 00:00:00 -0000

ros-one-eus-assimp (0.1.4-0jammy) jammy; urgency=high

  * update convex-decomposition parameters
  * add include directory for SDL
  * using SDL in hydro if exists
  * Contributors: Yohei Kakiuchi



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-eus-assimp//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-eus-assimp 0.4.5-39noble.20251023.1023

=== debian/changelog ===
ros-one-eus-assimp (0.4.5-39noble.20251023.1023) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 10:23:59 +0000

ros-one-eus-assimp (0.4.5-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 30 Nov 2023 00:00:00 -0000

ros-one-eus-assimp (0.4.4-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 May 2022 00:00:00 -0000

ros-one-eus-assimp (0.4.3-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 05 Dec 2018 00:00:00 -0000

ros-one-eus-assimp (0.4.2-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 04 Sep 2018 00:00:00 -0000

ros-one-eus-assimp (0.4.1-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 01 Aug 2018 00:00:00 -0000

ros-one-eus-assimp (0.4.0-0noble) noble; urgency=high

  * since euslisp 9.25.0, we need to add 5 arguments including doc string with defun() (#217 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/217>)
  * [eus_assimp] add use-coordinate option to append-vertices in order to express all the vertices respect to world frame (#210 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/210>)
  * [eus_assimp] need to set faces before calling gl::make-glvertices-fro (#208 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/208>)
  * Fix for arm processor (#209 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/209>)
    * fix for arm64/v8 aarch64 is 64bit
  * [eus_assimp] mesh2wrl.sh: add utility scripts  (#206 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/206>)
  * Contributors: Eisoku Kuroiwa, Kei Okada, Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-eus-assimp (0.3.5-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.4-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.3-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.2-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.1-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-one-eus-assimp (0.3.0-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 16 Jan 2017 00:00:00 -0000

ros-one-eus-assimp (0.2.5-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 18 Oct 2016 00:00:00 -0000

ros-one-eus-assimp (0.2.4-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 30 Apr 2016 00:00:00 -0000

ros-one-eus-assimp (0.2.3-0noble) noble; urgency=high

  * [eus_assimp] fix function name
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 31 Dec 2015 00:00:00 -0000

ros-one-eus-assimp (0.2.2-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 11 Dec 2015 00:00:00 -0000

ros-one-eus-assimp (0.2.1-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 27 Nov 2015 00:00:00 -0000

ros-one-eus-assimp (0.2.0-0noble) noble; urgency=high

  * move to 0.2.0, which only available from indigo
  * [eus_assimp] Add .gitignore
  * Contributors: Kentaro Wada

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 26 Nov 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.13-0noble) noble; urgency=high

  * move functions to jskeus
  * add function for glvertices
  * fix minor bugs
  * move functions to jskeus
  * add dump-glvertices-to-wrl for creating wrl mesh file from glvertices
  * 0.1.12
  * update CHANGELOG (For releasing 0.1.12 DRC Final version)
  * [jsk_model_tools] remove old rosmake files
  * Contributors: Kei Okada, Yohei Kakiuchi, Iori Yanokura

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 01 Sep 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.12-0noble) noble; urgency=high

  * [jsk_model_tools] remove old rosmake files
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 07 May 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.11-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 09 Apr 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.10-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 02 Apr 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.9-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 01 Apr 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.8-0noble) noble; urgency=high

  * fix for new euslisp layout
  * eus_assimp: build_depend on pkg-config
  * Contributors: Scott K Logan, Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 07 Jan 2015 00:00:00 -0000

ros-one-eus-assimp (0.1.7-0noble) noble; urgency=high

  * fix parsing file extention, in order to use .stlb extention for exporting mesh as STL Binary format
  * use tiff file for texture
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 19 Dec 2014 00:00:00 -0000

ros-one-eus-assimp (0.1.6-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 30 Jun 2014 00:00:00 -0000

ros-one-eus-assimp (0.1.5-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sun, 29 Jun 2014 00:00:00 -0000

ros-one-eus-assimp (0.1.4-0noble) noble; urgency=high

  * update convex-decomposition parameters
  * add include directory for SDL
  * using SDL in hydro if exists
  * Contributors: Yohei Kakiuchi



=== debian/control ===
Source: ros-one-eus-assimp
Section: misc
Priority: optional
Maintainer: Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-one-assimp-devel, ros-one-catkin, ros-one-euslisp (>= 9.25.0)
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-eus-assimp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-assimp-devel, ros-one-roseus (>= 1.7.1)
Description: eus_assimp
